<?

 /***************************************************************************************
 * Filename: modules/comments.php
 *
 * This file is part of the Photo album JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Photo album JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/photoalbum/
 ***************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_photoalbum_comments extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Photo album comments";
   $this->data->addField("text", "text", "all", "title", 5, 1000, false, "Comment");

   $this->data->defaultFields();

   $this->data->addField("photoalbumpicturenr", "nr", "show;sql", "", 1, false, 0);
   $this->data->addReference("photoalbumpicture", "photoalbum_pictures", "nr", "*:1", "photoalbumpicturenr");

   $this->data->sortOrder("updated-");
  }
 }
?>
